from django.core.management.base import BaseCommand

from ...parser import import_pages


class Command(BaseCommand):
    help = "add missing cms files to database"

    def add_arguments(self, parser):
        parser.add_argument(
            "-f", "--force", action="store_true", help="Always overwrite content"
        )
        parser.add_argument("pages", help="Specify which pages to import", nargs="*")

    def handle(self, *args, **options):
        pages = import_pages(options["force"], options["pages"])

        for p in pages:
            self.stderr.write(
                self.style.SUCCESS(f'created new page "{p.title}" for slug {p.url}')
            )
